PHP Manual
Prev |  | Next

# domxml_xslt_stylesheet

(PHP 4 >= 4.2.0, PECL)

domxml_xslt_stylesheet -- Creates a DomXsltStylesheet object from an XSL document in a string

## Description

DomXsltStylesheet domxml_xslt_stylesheet ( string xsl_buf )

Creates a DomXsltStylesheet object from the given XSL buffer.

## Parameters

xsl_buf

  The XSL document, as a string.

## Return Values

Returns a new instance of DomXsltStylesheet.

## Migrating to PHP 5

Call XSLTProcessor->importStylesheet() with DOMDocument::loadXML($xsl_buf) as parameter.

## See Also

DomXsltStylesheet->process()
domxml_xslt_stylesheet_file()
domxml_xslt_stylesheet_doc()

Prev | Home | Next
domxml_xslt_stylesheet_file | Up | domxml_xslt_version